#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/audio/audio_player/reset.rb'
# =========================================================================== #
module MultimediaParadise

class AudioPlayer < AudioBase

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    super()
    clear_playlist
    set_delay # Set @delay here.
    set_shall_we_exit
    # ======================================================================= #
    # === @namespace
    # ======================================================================= #
    @namespace = NAMESPACE
    # ======================================================================= #
    # === @use_colours
    # ======================================================================= #
    @use_colours = true # If true then we will use colours.
    # ======================================================================= #
    # === @main_colour
    # ======================================================================= #
    @main_colour = Colours.parse('green')
    # ======================================================================= #
    # === @play_in_a_loop
    # ======================================================================= #
    @play_in_a_loop = false
    determine_which_audio_player_to_use
    # ======================================================================= #
    # === @debug
    # ======================================================================= #
    @debug = SHALL_WE_DEBUG
    # ======================================================================= #
    # === @hash_songs_played
    # ======================================================================= #
    @hash_songs_played = {} # We keep track of all the files that we played.
    # ======================================================================= #
    # === @play_max_n_songs
    # ======================================================================= #
    @play_max_n_songs = PLAY_MAX_N_SONGS # Safeguard.
    if Object.const_defined? :MrxvtOptions
      @mrxvt = MrxvtOptions.new
    else
      @mrxvt = nil
    end
    # ======================================================================= #
    # === @use_oss_for_audio_player
    # ======================================================================= #
    @use_oss_for_audio_player = USE_OSS_FOR_AUDIO_PLAYER
    # ======================================================================= #
    # === @file_duration_in_seconds
    # ======================================================================= #
    @file_duration_in_seconds = 0 # Keeps the duration of the file in question.
    # ======================================================================= #
    # === @n_songs_played
    # ======================================================================= #
    @n_songs_played = 0 # How many songs we already played.
    # ======================================================================= #
    # === @available_genres
    # ======================================================================= #
    @available_genres = nil # Default.
    @available_genres = PLAYLIST_CONSTANTS.map {|song|
      song.to_s.sub(/GOOD_/,'').
                sub(/_SONGS/,'').
                sub(/MY_/,'').
                sub(/CURRENT_/,'')
    } if defined? PLAYLIST_CONSTANTS
  end

end; end