#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/audio/audio_player/tab.rb'
# =========================================================================== #
module MultimediaParadise

class AudioPlayer < AudioBase # === MultimediaParadise::AudioPlayer

  # ========================================================================= #
  # === consider_renaming_the_kde_konsole_tab
  # ========================================================================= #
  def consider_renaming_the_kde_konsole_tab(i)
    # ======================================================================= #
    # === Rename the KDE Konsole tab here
    # ======================================================================= #
    if Object.const_defined? :Roebe
      begin
        i = File.basename(i).
            gsub(/#{File.extname(i)}$/,'').
            tr('_',' ')
      # ===================================================================== #
      # Must rescue this, in case of errors such as:
      #   invalid byte sequence in UTF-8
      # ===================================================================== #
      rescue ArgumentError => error
        opnn; e 'An error happened (ArgumentError) which is now displayed:'
        pp error
      end
      Roebe.rename_konsole(i)
    end if RENAME_KDE_KONSOLE_TAB
  end

end; end