#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::AudioBase
#
# This class only contains the method called directory_to_the_local_songs
# as specialized variant.
#
# Usage example:
#
#   MultimediaParadise::AudioBase.new
#
# =========================================================================== #
# require 'multimedia_paradise/audio/base.rb'
# class Foobar < MultimediaParadise::AudioBase
# =========================================================================== #
require 'multimedia_paradise/multimedia/base.rb'

module MultimediaParadise

class AudioBase < ::MultimediaParadise::MultimediaBase # === MultimediaParadise::AudioBase

  # ========================================================================= #
  # === ERROR_LINE
  # ========================================================================= #
  ERROR_LINE = '2>&1'

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize
    reset
  end

  # ========================================================================= #
  # === reset
  # ========================================================================= #
  def reset
    super()
  end

  # ========================================================================= #
  # === directory_to_the_local_songs?
  # ========================================================================= #
  def directory_to_the_local_songs?
    DIRECTORY_TO_THE_LOCAL_SONGS
  end

  # ========================================================================= #
  # === return_random_audio_file
  #
  # This method can be used to return a random audio file from a given
  # (local) directory.
  # ========================================================================= #
  def return_random_audio_file(
      from_this_directory = '/home/x/songs/'
    )
    if File.directory? from_this_directory.delete('*')
      _ = from_this_directory+'*'
      this_file = Dir[_].sample
      return this_file
    end
    return nil
  end

end; end