#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# Constants that are specific to class ExtractAudio are kept here.
# =========================================================================== #
module MultimediaParadise

class ExtractAudio < ::MultimediaParadise::AudioBase

  # ========================================================================= #
  # === NAMESPACE
  # ========================================================================= #
  NAMESPACE = inspect

  # ========================================================================= #
  # === STORE_HERE
  # ========================================================================= #
  STORE_HERE = (Dir.pwd+'/').squeeze '/' # We store in the current directory.

  # ========================================================================= #
  # === FFMPEG_COMMAND_TO_USE
  #
  # This constant specifies which command we will use in particular, for
  # the extract-audio operation.
  # ========================================================================= #
  FFMPEG_COMMAND_TO_USE = 'ffmpeg -y'

  # ========================================================================= #
  # === AUTOCONVERT_AAC_INTO_MP3
  #
  # If the following constant is set to true then we will autoconvert
  # from .aac into .mp3 format, whenever we extract from a .mp4 file.
  # ========================================================================= #
  AUTOCONVERT_AAC_INTO_MP3 = true

end; end