#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/audio/file_duration/constants.rb'
# =========================================================================== #
require 'multimedia_paradise/audio/base.rb'

module MultimediaParadise

class FileDuration < ::MultimediaParadise::AudioBase

  # ========================================================================= #
  # === NAMESPACE
  # ========================================================================= #
  NAMESPACE = inspect

  # ========================================================================= #
  # === AUDIO_DIR
  # ========================================================================= #
  AUDIO_DIR = SONG_DIR

  # ========================================================================= #
  # === DEFAULT_SONG
  #
  # We can use this song here to test this class.
  # ========================================================================= #
  DEFAULT_SONG = "#{AUDIO_DIR}AlexGaudino_DestinationUnkown.mp3"

  # ========================================================================= #
  # === FILE_NAME
  # ========================================================================= #
  FILE_NAME = File.basename(__FILE__)+': '

  # ========================================================================= #
  # === DEFAULT_REPORT_ALREADY
  #
  # If this constant is set to true then we will automatically report
  # information on the commandline to the user.
  # ========================================================================= #
  DEFAULT_REPORT_ALREADY = true

  # ========================================================================= #
  # === ERROR
  # ========================================================================= #
  ERROR = ' 2>&1'

  # ========================================================================= #
  # === MAIN_REGEX
  # ========================================================================= #
  MAIN_REGEX = /Duration: (\d\d:\d\d:\d\d.\d\d)/

end; end