#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/audio/waveform/constants.rb'
# =========================================================================== #
module MultimediaParadise

class Waveform < ::MultimediaParadise::Base # === MultimediaParadise::Waveform

  # ========================================================================= #
  # === MultimediaParadise::Waveform::DEFAULT_OPTIONS
  #
  # Specify some default options to use for class Waveform.
  # ========================================================================= #
  DEFAULT_OPTIONS = {
    :method           => :peak,
    :width            => 1800,
    :height           =>  280,
    :background_color => '#666666',
    :color            => '#00ccff',
    :force            => false,
    :logger           => nil
  }

  # ========================================================================= #
  # === MultimediaParadise::Waveform::TRANSPARENCY_MASK
  # ========================================================================= #
  TRANSPARENCY_MASK = '#00ff00'

  # ========================================================================= #
  # === MultimediaParadise::Waveform::TRANSPARENCY_ALTERNATE
  #
  # In case the mask is the background color!
  # ========================================================================= #
  TRANSPARENCY_ALTERNATE = '#ffff00'

end; end