#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/base/colours.rb'
# =========================================================================== #
module MultimediaParadise

class Base

  require 'multimedia_paradise/colours/colours.rb'

  # ========================================================================= #
  # === USE_THIS_NAMESPACE_FOR_THE_COLOURS
  #
  # Add a "pointer" to the colours gem, via its namespace "Colours".
  # ========================================================================= #
  USE_THIS_NAMESPACE_FOR_THE_COLOURS = ::Colours

  # ========================================================================= #
  # === use_colours?
  # ========================================================================= #
  def use_colours?
    @use_colours
  end

  # ========================================================================= #
  # === set_use_colours
  # ========================================================================= #
  def set_use_colours
    @use_colours = true
  end

  # ========================================================================= #
  # === true_rev
  # ========================================================================= #
  def true_rev
    if @use_colours
      USE_THIS_NAMESPACE_FOR_THE_COLOURS.rev
    else
      ''
    end
  end

  # ========================================================================= #
  # === eparse
  # ========================================================================= #
  def eparse(i)
    if @use_colours
      USE_THIS_NAMESPACE_FOR_THE_COLOURS.eparse(i)
    else
      e i
    end
  end

  # ========================================================================= #
  # === simp
  # ========================================================================= #
  def simp(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.olivedrab(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === slateblue
  # ========================================================================= #
  def slateblue(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.slateblue(i) if @use_colours and
           USE_THIS_NAMESPACE_FOR_THE_COLOURS.respond_to? :slateblue
    i
  end

  # ========================================================================= #
  # === indianred
  # ========================================================================= #
  def indianred(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.indianred(i) if @use_colours
    i
  end

  # ========================================================================= #
  # === palegreen
  # ========================================================================= #
  def palegreen(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.palegreen(i) if @use_colours
    i
  end

  # ========================================================================= #
  # === orange
  # ========================================================================= #
  def orange(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.orange(i) if @use_colours
    i
  end

  # ========================================================================= #
  # === mediumpurple
  # ========================================================================= #
  def mediumpurple(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.mediumpurple(i) if @use_colours
    i
  end

  # ========================================================================= #
  # === tomato
  # ========================================================================= #
  def tomato(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.tomato(i) if @use_colours
    i
  end

  # ========================================================================= #
  # === olive
  # ========================================================================= #
  def olive(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.olive(i) if @use_colours
    i
  end

  # ========================================================================= #
  # === mediumslateblue
  # ========================================================================= #
  def mediumslateblue(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.mediumslateblue(i) if @use_colours
    i
  end

  # ========================================================================= #
  # === powderblue
  # ========================================================================= #
  def powderblue(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.powderblue(i) if @use_colours
    i
  end

  # ========================================================================= #
  # === lightgreen
  # ========================================================================= #
  def lightgreen(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.lightgreen(i) if @use_colours
    i
  end

  # ========================================================================= #
  # === skyblue
  # ========================================================================= #
  def skyblue(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.skyblue(i) if @use_colours
    i
  end

  # ========================================================================= #
  # === springgreen
  # ========================================================================= #
  def springgreen(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.springgreen(i) if @use_colours
    i
  end

  # ========================================================================= #
  # === seagreen
  # ========================================================================= #
  def seagreen(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.seagreen(i) if @use_colours
    i
  end

  # ========================================================================= #
  # === dodgerblue
  # ========================================================================= #
  def dodgerblue(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.dodgerblue(i) if @use_colours
    i
  end

  # ========================================================================= #
  # === royalblue
  # ========================================================================= #
  def royalblue(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.royalblue(i) if @use_colours
    i
  end

  # ========================================================================= #
  # === konsole_colour_peru
  # ========================================================================= #
  def konsole_colour_peru(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.peru(i) if @use_colours
    i
  end

  # ========================================================================= #
  # === sfile
  # ========================================================================= #
  def sfile(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.sfile(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === sfancy
  # ========================================================================= #
  def sfancy(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.sfancy(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === rev
  # ========================================================================= #
  def rev
    USE_THIS_NAMESPACE_FOR_THE_COLOURS.rev
  end

  # ========================================================================= #
  # === yel
  # ========================================================================= #
  def yel(i)
    USE_THIS_NAMESPACE_FOR_THE_COLOURS.yellow(i) if use_colours?
  end

  # ========================================================================= #
  # === sdir
  # ========================================================================= #
  def sdir(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.sdir(i) if use_colours?
    return i
  end

  # ========================================================================= #
  # === swarn
  # ========================================================================= #
  def swarn(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.swarn(i) if use_colours?
    return i
  end

  # ========================================================================= #
  # === ewarn
  # ========================================================================= #
  def ewarn(i)
    e swarn(i)
  end

  # ========================================================================= #
  # === olivedrab
  # ========================================================================= #
  def olivedrab(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.olivedrab(i) if @use_colours
    return i
  end

  # ========================================================================= #
  # === mediumorchid
  # ========================================================================= #
  def mediumorchid(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.mediumorchid(i) if @use_colours
    return i
  end

  # ========================================================================= #
  # === teal
  # ========================================================================= #
  def teal(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.teal(i) if @use_colours
    return i
  end

  # ========================================================================= #
  # === steelblue
  # ========================================================================= #
  def steelblue(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.teal(i) if @use_colours
    return i
  end

  # ========================================================================= #
  # === crimson
  # ========================================================================= #
  def crimson(i = '')
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.crimson(i) if @use_colours
    return i
  end

  # ========================================================================= #
  # === ecrimson
  # ========================================================================= #
  def ecrimson(i = '')
    e crimson(i)
  end

  # ========================================================================= #
  # === palegoldenrod
  # ========================================================================= #
  def palegoldenrod(i)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.palegoldenrod(i) if @use_colours
    return i
  end

  # ========================================================================= #
  # === gold
  # ========================================================================= #
  def gold(i,  use_colours = use_colours?)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.gold(i) if use_colours
    return i
  end

  # ========================================================================= #
  # === grey
  # ========================================================================= #
  def grey(i,  use_colours = use_colours?)
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.grey(i) if use_colours
    return i
  end

  # ========================================================================= #
  # === lightblue
  # ========================================================================= #
  def lightblue(
      i, use_colours = use_colours?
    )
    return USE_THIS_NAMESPACE_FOR_THE_COLOURS.lightblue(i) if use_colours
    return i
  end

  # ========================================================================= #
  # === colourized_comment
  # ========================================================================= #
  def colourized_comment(i)
    if i.include? '#'
      splitted = i.split('#')
      splitted[0] = steelblue(splitted[0])
      splitted[1] = lightgreen(splitted[1])
      e splitted.join(grey('#'))
    else
      e i
    end
  end

  # ========================================================================= #
  # === ecomment
  # ========================================================================= #
  def ecomment(
      i, use_colours = use_colours?
    )
    if use_colours
      USE_THIS_NAMESPACE_FOR_THE_COLOURS.ecomment(i)
    else
      e i
    end
  end

end; end