#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/base/commandline_arguments.rb'
# =========================================================================== #
module MultimediaParadise

class Base # === MultimediaParadise::Base

  # ========================================================================= #
  # === first_argument?
  # ========================================================================= #
  def first_argument?
    @commandline_arguments.first
  end; alias first? first_argument? # === first?

  # ========================================================================= #
  # === set_commandline_arguments
  # ========================================================================= #
  def set_commandline_arguments(i)
    @commandline_arguments = [i].flatten.compact
  end

  # ========================================================================= #
  # === commandline_arguments?
  # ========================================================================= #
  def commandline_arguments?
    @commandline_arguments
  end; alias input? commandline_arguments? # === input?

  # ========================================================================= #
  # === commandline_arguments_as_a_string
  # ========================================================================= #
  def commandline_arguments_as_a_string
    @commandline_arguments.join(' ').strip
  end; alias commandline_arguments_as_string commandline_arguments_as_a_string # === commandline_arguments_as_string

  # ========================================================================= #
  # === all_input_starts_with_a_number?
  #
  # Determine whether the given input starts with a number.
  # ========================================================================= #
  def all_input_starts_with_a_number?(
      i = @commandline_arguments
    )
    !i.empty? and i.all? {|entry|
      entry =~ /^\d+$/
    }
  end

end; end