#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# Encoding-related code should be stored in this file here.
# =========================================================================== #
module MultimediaParadise

class Base

  require 'multimedia_paradise/constants/encodings.rb'

  # ========================================================================= #
  # === ensure_main_encoding
  #
  # This method can ensure that a String has the proper encoding that
  # we will use for the MultimediaParadise project.
  # ========================================================================= #
  def ensure_main_encoding(
      i, use_this_encoding = USE_THIS_ENCODING
    )
    if i.is_a? String
      unless i.encoding.to_s.include? use_this_encoding
        i = i.dup if i.frozen?
        i = i.force_encoding(use_this_encoding)
      end
    end
    i
  end

end; end