#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# Colour-related methods will be stored here in this file.
# =========================================================================== #
# require 'multimedia_paradise/colours/colours.rb'
# =========================================================================== #
require 'colours'
require 'multimedia_paradise/toplevel_methods/e.rb'

module MultimediaParadise

  # ========================================================================= #
  # === COLOURS
  # ========================================================================= #
  COLOURS = ::Colours

  # ========================================================================= #
  # === MultimediaParadise.sdir
  # ========================================================================= #
  def self.sdir(i)
    COLOURS.sdir(i)
  end

  # ========================================================================= #
  # === MultimediaParadise.sfancy
  # ========================================================================= #
  def self.sfancy(i)
    COLOURS.sfancy(i)
  end

  # ========================================================================= #
  # === MultimediaParadise.sfile
  # ========================================================================= #
  def self.sfile(i)
    COLOURS.sfile(i)
  end

  # ========================================================================= #
  # === MultimediaParadise.simp
  # ========================================================================= #
  def self.simp(i)
    COLOURS.simp(i)
  end

  # ========================================================================= #
  # === MultimediaParadise.eimportant
  # ========================================================================= #
  def self.eimportant(i)
    e ::MultimediaParadise.simp(i)
  end

  # ========================================================================= #
  # === MultimediaParadise.orange
  # ========================================================================= #
  def self.orange(i)
    return COLOURS.orange(i)
  end

  # ========================================================================= #
  # === MultimediaParadise.yel
  # ========================================================================= #
  def self.yel(i)
    return COLOURS.yellow(i)
  end

  # ========================================================================= #
  # === MultimediaParadise.rev
  # ========================================================================= #
  def self.rev
    if Object.const_defined? :Colours # The Colours namespace must be available.
      return ::Colours.rev # Or ::Colours::GREEN
    end
    ''
  end

end

if __FILE__ == $PROGRAM_NAME
  puts MultimediaParadise.sfancy('Hello world!')
end # rb colours.rb