#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::WebConstants
# =========================================================================== #
# require 'multimedia_paradise/constants/web_constants.rb'
# include MultimediaParadise::WebConstants
# =========================================================================== #
module MultimediaParadise

module WebConstants

  # ========================================================================= #
  # === DIV_CLASS
  #
  # This is specifically for the video.cgi page.
  # ========================================================================= #
  DIV_CLASS ='wid98 VERD bordlblue3_1px pad0_3em s0_5em mart2px'

  # ========================================================================= #
  # === COMMON_MAIN_CSS
  # ========================================================================= #
  COMMON_MAIN_CSS = '

.first_letter_bigger::first-letter {
  font-size: 150%;
}

a            { text-decoration: none; }
a:link       { color:#79C72C; }
a:visited    { color:#79C72C; }
a:hover      { color:#62F962; }
a:active     { color:#98FB98; }

div {
  text-indent:0px;
}

div.default {
  text-indent:0px;
  padding:      0.25em;
  padding-left: 0.8em;
  margin:       0.15em;
  margin-top:   0.35em;
  border: 1px solid cornflowerblue;
}

span.darkblue_box, b.darkblue_box
{
  color:black; font-weight:400;
  padding-left:5px; padding-right:5px;
  background-color:#7298db;
  border:1px solid royalblue;
}
p.glossar_paragraph {
  text-indent: 1.75em;
}              
pre   { font-weight:400;font-size:1.15em;}
img   { padding:0px;}
span  { padding-right:1px;}
h3,h4,h5,h6 {text-indent:0px;margin-bottom:1px;margin-top:1px}

div.default_1 {
  text-indent:0px;
  padding: 0.55em;
  margin: 0.05em;
  margin-top:0.5em;
  border:1px solid cyan;
}

div.default_orange {
  text-indent:1em;
  padding-top: 8px;
  padding-bottom: 8px;
  padding-left:  2em;
  padding-right: 2em;
  margin-top:0.5em;
  border:1px solid orange;
}
p {
  text-indent:0px;
  padding-left:1px;
  padding-right:1px;
  font-style:normal;
}
p.default {
  text-indent:0px;
  font-style:normal;
  padding: 16px;
}
'

  # ========================================================================= #
  # === BACKGROUND_CSS_CLASS
  # ========================================================================= #
  BACKGROUND_CSS_CLASS = 's0_1em mar1px FW4 White bg_black'

  # ========================================================================= #
  # === AUDIO_FAVICON
  # ========================================================================= #
  AUDIO_FAVICON = 'AUDIO/AUDIO_FAVICON.png'

  # ========================================================================= #
  # === SITEMAP_DIV_CSS
  # ========================================================================= #
  SITEMAP_DIV_CSS = 'FS1em posab pad8px'

  # ========================================================================= #
  # === BOLD_YEL_CMD
  # ========================================================================= #
  BOLD_YEL_CMD = 's2em BOLD yel'

  # ========================================================================= #
  # === COL1
  # ========================================================================= #
  COL1 = 'mediumpurple'
  COL2 = 'palegreen'
  COL3 = 'LBlue2'
  # ========================================================================= #
  # === COL4
  # ========================================================================= #
  COL4 = 'honeydew'
  # ========================================================================= #
  # === COL5
  # ========================================================================= #
  COL5 = 'lightcoral'
  COL6 = 'blueviolet'
  COL8 = 'deepskyblue'
  CMD  = 's1em BO cyan'
  CMD1 = CMD
  CMD2 = 's2em BO cyan'
  CMD3 = 's3em BO cyan'
  COL_CMD  = 's1em lightgreen BO'
  COL_CMD2 = 's2em lightgreen BO'
  COLOURED_CMD  = COL_CMD
  COLOURED_CMD2 = CMD2+' lightgreen'
  COMMON_BORDER = 'border: 1px dotted royalblue'
  # ========================================================================= #
  # === MAIN_DIV_BORDER
  # ========================================================================= #
  MAIN_DIV_BORDER = 'border:1px dotted orange;'

  # ========================================================================= #
  # === BORD_TURQUOISE
  # ========================================================================= #
  BORD_TURQUOISE = 'border: 1px solid turquoise;'
  MY_FILE = 'Soundtrack_HansZimmer_BackdraftTheme.mp3'

end; end