#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module MultimediaParadise

module GUI

require 'fox16'

module FOX

class PlayFromRadioStation

  require 'multimedia_paradise/toplevel_methods/radio.rb'

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(*i)
    create_skeleton
  end

  # ========================================================================= #
  # === radio_stations?
  # ========================================================================= #
  def radio_stations?
    MultimediaParadise.radio_stations?
  end

  # ========================================================================= #
  # === esystem
  # ========================================================================= #
  def esystem(i)
    puts i
    system i
  end

  # ========================================================================= #
  # === create_skeleton
  # ========================================================================= #
  def create_skeleton
    @app = Fox::FXApp.new
    main_window = Fox::FXMainWindow.new(@app, 'Radio stations')
    MultimediaParadise.radio_stations?.each {|array|
      name = array.first
      hash = array.last
      url = hash['url']
      # ===================================================================== #
      # Add the button next:
      # ===================================================================== #
      font = Fox::FXFont.new(@app, 'times', 22)
      button = Fox::FXButton.new(main_window, name)
      button.setFont(font)
      button.connect(Fox::SEL_COMMAND) { |sender, selector, data|
        puts url
        esystem 'mpv '+url
      }
      Fox::FXVerticalSeparator.new(
        main_window,
        Fox::LAYOUT_SIDE_RIGHT|Fox::LAYOUT_FILL_Y|Fox::SEPARATOR_RIDGE
      )
      
    }
    main_window.show
    @app.create
    main_window.resize(1240, 1000)
    @app.run # rb $FOX/simple_windows.rb
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::GUI::FOX::PlayFromRadioStation.new(ARGV)
end