#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::GUI::Gtk::PlayVideoFromMyCollection
#
# The purpose of this class is to give the user a list of available
# videos, which appear in form of buttons, in a scrollable widget.
#
# When clicking on one, this video is then played.
#
# Usage example:
#
#   MultimediaParadise::GUI::Gtk::PlayVideoFromMyCollection.new
#
# =========================================================================== #
# require 'multimedia_paradise/gui/gtk2/play_video_from_my_collection/play_video_from_my_collection.rb'
# =========================================================================== #
require 'gtk_paradise/require_gtk2'

module MultimediaParadise

module GUI

module Gtk

class PlayVideoFromMyCollection < ::Gtk::Frame # === MultimediaParadise::GUI::Gtk::PlayVideoFromMyCollection

  require 'multimedia_paradise/gui/shared_code/play_video_from_my_collection/play_video_from_my_collection_module.rb'
  include ::MultimediaParadise::GUI::Gtk::PlayVideoFromMyCollectionModule

  # ========================================================================= #
  # === MultimediaParadise::GUI::Gtk::PlayVideoFromMyCollection.run
  # ========================================================================= #
  def self.run
    ::MultimediaParadise::GUI::Gtk::PlayVideoFromMyCollectionModule.run
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::GUI::Gtk::PlayVideoFromMyCollection.run
end # $MULTIMEDIA_PARADISE/gui/gtk/play_video_from_my_collection.rb