#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::GUI::VideoCollection
#
# This GUI is a part of the MultimediaParadise Project, as of Dec 2013.
# =========================================================================== #
require 'gtk_paradise/require_gtk2.rb'
require 'gtk_paradise/requires/require_the_base_module.rb'

module MultimediaParadise

module GUI

module Gtk

class VideoCollection < ::Gtk::VBox

  require 'multimedia_paradise/gui/gui_base.rb'

  begin
    require 'colours'
  rescue LoadError; end

  include ::Gtk::BaseModule

  require 'gtk_paradise/app/app_module/app_module.rb'
  include ::Gtk::AppModule

  require 'multimedia_paradise/gui/shared_code/shared_gtk_module.rb'
  include ::MultimediaParadise::GUI

  # ==========================================================================#
  # === MultimediaParadise::GUI::VideoCollection.run
  # ==========================================================================#
  def self.run
    require 'gtk_paradise/run.rb'
    video_collection = new
    r = ::Gtk.run
    r << video_collection
    r.modify_background(:normal, :mediumaquamarine)
    video_collection.set_size_request(
      video_collection.width?,
      video_collection.height?
    )
    r.enable_simple_exit
    r.do_maximize_width
    r.top_left_then_run
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::GUI::Gtk::VideoCollection.run
end # $MULTIMEDIA_PARADISE/gui/gtk/video_collection.rb