#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/gui/gtk3/tag_mp3_files/connect_skeleton.rb'
# =========================================================================== #
module MultimediaParadise

module GUI

module Gtk

class TagMp3Files < ::Gtk::Box # === MultimediaParadise::GUI::Gtk::TagMp3Files 

  # ========================================================================= #
  # === connect_skeleton                      (connect skeleton, connect tag)
  #
  # This method should ideally reside in the file connect_skeleton.rb
  # ========================================================================= #
  def connect_skeleton
    abort_on_exception
    # ======================================================================= #
    # The first dragger is the one close to the top of the main application.
    # It will contain the header bar, as well as the widget that is on
    # the second row.
    # ======================================================================= #
    first_dragger = drag_via_up_and_down_movement(
      header_bar?,      # The header bar on top.
      widget_second_row # The main entry below the header bar.
    )
    first_dragger.position = header_bar_height? # This height should be the height of the header bar.
    minimal(first_dragger)
    # ======================================================================= #
    # Next the middle box - this one will contain several widgets at the
    # same time.
    # ======================================================================= #
    middle_box = drag_via_left_and_right_movement(
      widget_left,
      widget_in_the_middle
    )
    middle_box.set_name('fancy_separator')
    middle_box.position = 880

    second_dragger = drag_via_left_and_right_movement(middle_box, widget_right)
    use_this_position = 1600
    if use_this_position > max_width?
      use_this_position = max_width? * 0.8
    end
    second_dragger.position = use_this_position
    # ======================================================================= #
    # The last dragger will add the status bar to the top.
    # ======================================================================= #
    third_dragger = drag_via_up_and_down_movement(
      second_dragger,
      @status_bar # The middle vbox contains the three main widgets.
    )
    third_dragger.position = 1300
    minimal(third_dragger)
  end

end; end; end; end