#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::GUI::Gtk::TagMp3Files
#
# This class, a ruby-gtk widget, was originally written (and finished)
# in April 2007 - so a really, really long time ago.
#
# In November 2020 I decided to fix what was broken and update it to
# better coding standards. It should now work better than it did at
# one point in time, many years ago.
#
# In January 2021 I adapted the code for ruby-gtk3, and rewrote this
# application (almost) from scratch. The new interface is a bit better
# than the old ruby-gtk2 variant.
#
# In September 2021 the project was re-written and renamed again. Support
# for ruby-gtk2 was also dropped - it may be re-implemented one day, but
# for the time being we will focus only on ruby-gtk3. In October 2021
# the project was visually enhanced a bit and querying the MPEG layer
# was added as well.
#
# In January 2022 the widget was, again, rewritten - this was to fix
# a weird bug where the application was freezing.
# =========================================================================== #
# require 'multimedia_paradise/gui/gtk3/tag_mp3_files/tag_mp3_files.rb'
# MultimediaParadise::GUI::Gtk::TagMp3File.run
# =========================================================================== #
require 'gtk_paradise/require_gtk3'

module MultimediaParadise

module GUI

module Gtk

class TagMp3Files < ::Gtk::Box # === MultimediaParadise::GUI::Gtk::TagMp3Files

  require 'multimedia_paradise/constants/directory_constants.rb'
  require 'multimedia_paradise/constants/encodings.rb'
  require 'multimedia_paradise/constants/file_constants.rb'
  require 'multimedia_paradise/audio/audio_tag_reader/audio_tag_reader.rb'
  require 'multimedia_paradise/audio/file_duration/file_duration.rb'
  require 'multimedia_paradise/gui/shared_code/information_about_a_mp3_file/information_about_a_mp3_file_module.rb'
  require 'multimedia_paradise/gui/gtk3/information_about_a_mp3_file/information_about_a_mp3_file.rb'
  require 'multimedia_paradise/gui/gtk3/tag_mp3_files/connect_skeleton.rb'
  require 'multimedia_paradise/gui/gtk3/tag_mp3_files/create.rb'
  require 'multimedia_paradise/gui/gtk3/tag_mp3_files/misc.rb'

  require 'multimedia_paradise/toplevel_methods/is_audio_file.rb'
  require 'multimedia_paradise/toplevel_methods/misc.rb'

  include MultimediaParadise::GUI::InformationAboutAMp3FileModule

  require 'gtk_paradise/requires/require_the_base_module.rb'
  include ::Gtk::BaseModule

  require 'multimedia_paradise/gui/shared_code/tag_mp3_files/tag_mp3_files_module.rb'
  include MultimediaParadise::GUI::TagMp3FilesModule

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::GUI::Gtk::TagMp3Files.run(ARGV)
end