#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::GUI::Libui::Lyrics
# =========================================================================== #
# require 'multimedia_paradise/gui/libui/lyrics/lyrics.rb'
# MultimediaParadise::GUI::Libui::Lyrics.new
# =========================================================================== #
module MultimediaParadise

module GUI

module Libui

class Lyrics # === MultimediaParadise::GUI::Libui::Lyrics

  require 'libui_paradise/autoinclude'
  require 'multimedia_paradise/constants/file_constants.rb'

  begin
    require 'colours'
  rescue LoadError; end

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize
    create_skeleton
    @main_window = ui_main_window(
      'Lyrics', 1500, 800, 0
    )
    outer_vbox = padded_vbox

    # ======================================================================= #
    # Add the main text-view next
    # ======================================================================= #
    @text_view = ui_text_view
    file = MultimediaParadise.file_lyrics
    if File.exist? file
      @text_view.set_text(File.read(file).to_s)
    end
    outer_vbox << @text_view
    # ======================================================================= #
    # Add the download button next:
    # ======================================================================= #
    button = ui_quit_button # Use a quit button.
    hbox = ui_hbox
    hbox.add(button, 0)
    outer_vbox.add(hbox, 0)

    @main_window.child = outer_vbox
    @main_window.intelligent_exit
  end

  # ========================================================================= #
  # === create_skeleton
  # ========================================================================= #
  def create_skeleton
    @entry_URL_to_use_for_the_youtube_video = ui_entry
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::GUI::Libui::Lyrics.new
end