#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::GUI::TagMp3FilesModule
# =========================================================================== #
# require 'multimedia_paradise/gui/shared_code/tag_mp3_files/tag_mp3_files_module.rb'
# include MultimediaParadise::GUI::TagMp3FilesModule
# =========================================================================== #
module MultimediaParadise

module GUI

module TagMp3FilesModule # === MultimediaParadise::GUI::TagMp3FilesModule

  require 'multimedia_paradise/constants/file_constants.rb'

  # ========================================================================= #
  # === TITLE
  # ========================================================================= #
  TITLE = 'Tag .mp3 songs'

  # ========================================================================= #
  # === WIDTH
  # ========================================================================= #
  WIDTH = '99% or minimum 600px'

  # ========================================================================= #
  # === HEIGHT
  # ========================================================================= #
  HEIGHT = '85% or minimum 500px'

  # ========================================================================= #
  # === song_directory?
  # ========================================================================= #
  def song_directory?
    '/home/x/songs/'
  end

  # ========================================================================= #
  # === do_play_the_selected_song
  #
  # This method can be used to play the currently selected song.
  #
  # If no song is selected, a pop-over message should appear.
  # ========================================================================= #
  def do_play_the_selected_song(
      _ = entry_file_path_text?
    )
    if _ and File.exist?(_)
      Thread.new {
        esystem "mpv #{_}"
      }
    else
      e 'No file exists at '+_.to_s+'.'
      return_popover(
        'Please first select a .mp3 file that exists. You '\
        'can double-click on this entry above.',
        entry_file_path?, 20
      ).popup
    end
  end; alias play_the_selected_audio_file do_play_the_selected_song # === play_the_selected_audio_file

  # ========================================================================= #
  # === main_file_text?
  # ========================================================================= #
  def main_file_text?
    @entry_file_path.text?
  end; alias which_file?           main_file_text? # === which_file?
       alias main_file?            main_file_text? # === main_file?
       alias entry_file_path_text? main_file_text? # === entry_file_path_text?

end; end; end