begin
  require 'tk'
rescue LoadError; end
require 'fileutils'
require 'multimedia_paradise'
require 'multimedia_paradise/video/video_encoding_constants.rb'
require 'colours'

class TkMultimediaWrapper
  
  include Colours
  include VideoEncodingConstants

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize
    @main_window = TkRoot.new() { 
      title 'Multimedia Wrapper'
    }
    @main_window.geometry GUI_WIDTH.to_s+'x'+GUI_HEIGHT.to_s
    create_frames
    create_buttons
    create_keyevents
    Tk.root.resizable(false, false)
    Tk.mainloop()
  end

  # ========================================================================= #
  # === create_keyevents
  # ========================================================================= #
  def create_keyevents
    @main_window.bind('Any-Key-h') {
      p "...world! (@main_window)"
    }
  end

  # ========================================================================= #
  # === create_frames
  # ========================================================================= #
  def create_frames
    @frame = TkFrame.new
  end

  # ========================================================================= #
  # === create_buttons
  # ========================================================================= #
  def create_buttons
    @button_quit = TkButton.new(@frame) {
      text 'Quit'
      command proc { cme 'Exiting now.'; exit }
      pack('side'=>'left', 'padx'=>10, 'pady'=>10)
    }
  end

end

if __FILE__ == $PROGRAM_NAME
  TkMultimediaWrapper.new
end # $RUBY_MMEDIA/tk_multimedia_wrapper.rb