#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/requires/require_audio_files.rb'
# MultimediaParadise.require_audio_files
# =========================================================================== #
require 'multimedia_paradise/project/project.rb'

module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.require_audio_files
  #
  # Batch-require all .rb files under audio/ files.
  # ========================================================================= #
  def self.require_audio_files
    target = "#{project_base_directory?}audio/*.rb"
    these_files = Dir[target] # We will require these files here.
    these_files.each {|file|
      this_file = "multimedia_paradise/audio/#{File.basename(file)}"
      require this_file
    }
  end

  # ========================================================================= #
  # === MultimediaParadise.require_waveform_files
  # ========================================================================= #
  def self.require_waveform_files
    target = "#{project_base_dir?}audio/waveform/*.rb"
    these_files = Dir[target] # We will require these files here.
    these_files.each {|file|
      this_file = "multimedia_paradise/audio/waveform/#{File.basename(file)}"
      require this_file
    }
  end

  # ========================================================================= #
  # === MultimediaParadise.require_genre_files
  # ========================================================================= #
  def self.require_genre_files
    target = "#{project_base_dir?}audio/genre/*.rb"
    these_files = Dir[target] # We will require these files here.
    these_files.each {|file|
      this_file = "multimedia_paradise/audio/genre/#{File.basename(file)}"
      require this_file
    }
  end

  # ========================================================================= #
  # === MultimediaParadise.require_extract_audio_files
  # ========================================================================= #
  def self.require_extract_audio_files
    target = "#{project_base_dir?}audio/extract_audio/*.rb"
    these_files = Dir[target] # We will require these files here.
    these_files.each {|file|
      this_file = "multimedia_paradise/audio/extract_audio/#{File.basename(file)}"
      require this_file
    }
  end

  # ========================================================================= #
  # === MultimediaParadise.require_cut_multimedia_files
  # ========================================================================= #
  def self.require_cut_multimedia_files
    target = "#{project_base_dir?}multimedia/cut_multimedia/*.rb"
    these_files = Dir[target] # We will require these files here.
    these_files.each {|file|
      this_file = "multimedia_paradise/multimedia/cut_multimedia/#{File.basename(file)}"
      require this_file
    }
  end; self.instance_eval { alias require_cut_audio_files require_cut_multimedia_files } # === MultimediaParadise.require_cut_audio_files

end