#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'multimedia_paradise/project/project.rb'
require 'multimedia_paradise/constants/constants.rb'
require 'multimedia_paradise/ffmpeg/ffmpeg.rb'
require 'multimedia_paradise/commandline/menu.rb'
require 'multimedia_paradise/misc/long_format_to_milliseconds_converter.rb'
require 'multimedia_paradise/misc/milliseconds_to_long_format_converter.rb'
# =========================================================================== #
# Add all the toplevel-requires next:
# =========================================================================== #
require 'multimedia_paradise/requires/require_streamripper.rb'
require 'multimedia_paradise/requires/require_the_audio_player.rb'
require 'multimedia_paradise/requires/require_file_duration.rb'
require 'multimedia_paradise/requires/require_video_player.rb'
require 'multimedia_paradise/requires/require_video_files.rb'
require 'multimedia_paradise/requires/require_toplevel_methods_files.rb'
require 'multimedia_paradise/requires/require_audio_files.rb'

MultimediaParadise.require_toplevel_methods_files
MultimediaParadise.require_audio_files
MultimediaParadise.require_cut_audio_files
MultimediaParadise.require_extract_audio_files
MultimediaParadise.require_genre_files
MultimediaParadise.require_waveform_files
MultimediaParadise.require_video_files

require 'multimedia_paradise/multimedia/convert_audio_to_video_with_image.rb'

require 'multimedia_paradise/audio/playlist/playlist.rb'

require 'multimedia_paradise/requires/require_the_sinatra_components.rb'

require 'multimedia_paradise/multimedia/video_downloader/video_downloader.rb'

require 'multimedia_paradise/conversions/conversions.rb'
