#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# Require all files under 'multimedia_paradise/toplevel_methods/*.rb'
# =========================================================================== #
# require 'multimedia_paradise/requires/require_toplevel_methods_files.rb'
# =========================================================================== #
require 'multimedia_paradise/project/project.rb'

module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.require_toplevel_methods_files
  # ========================================================================= #
  def self.require_toplevel_methods_files
    target = "#{MultimediaParadise.project_base_dir?}toplevel_methods/*.rb"
    these_files = Dir[target] # We will require these files here.
    these_files.each {|file|
      this_file = "multimedia_paradise/toplevel_methods/#{File.basename(file)}"
      require this_file
    }
  end

end # === MultimediaParadise.require_toplevel_methods_files