#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/analyze_audio_stream.rb'
# =========================================================================== #
require 'multimedia_paradise/toplevel_methods/e.rb'
require 'multimedia_paradise/ffmpeg/ffmpeg.rb'

module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.analyze_audio_stream
  #
  # This method will use ffmpeg in order to analyze the audio stream. A
  # Hash will be returned, which will keep the decibel-score value.
  #
  # For more documentation see the method
  # MultimediaParadise.ffmpeg_analyze_audio_stream().
  # ========================================================================= #
  def self.analyze_audio_stream(
      of_this_file
    )
    ffmpeg_analyze_audio_stream(of_this_file)
  end

end

if __FILE__ == $PROGRAM_NAME
  pp MultimediaParadise.analyze_audio_stream(ARGV)
end # analyze_audio $MY_SONGS/YoonDohyun_Dolgo.mp3