#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/chop_into_segments_of_n_seconds_size.rb'
# =========================================================================== #
require 'multimedia_paradise/ffmpeg/ffmpeg.rb'

module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.chop_into_segments_of_n_seconds_size
  #
  # Use this (audio) method to chop up an audio file into segments
  # of n size. You could also use this on a video file, but the
  # primary use of it is to chop up a large audio file into
  # smaller audio files.
  #
  # The first argument is the name (path) of the file that you wish
  # to modify.
  #
  # If only one argument is provided (the filename), then we will default
  # to a duration of 60 seconds.
  # ========================================================================= #
  def self.chop_into_segments_of_n_seconds_size(
      this_file, # <- Your target file that will be chopped up.
      n_seconds = 60
    )
    ffmpeg_chop_into_segments_of_n_seconds_size(this_file, n_seconds)
  end

end