#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/copy_and_merge_this_video_n_times.rb'
# =========================================================================== #
require 'multimedia_paradise/toplevel_methods/esystem.rb'
require 'multimedia_paradise/toplevel_methods/copy_file.rb'
require 'multimedia_paradise/toplevel_methods/merge_these_videos.rb'
require 'multimedia_paradise/colours/colours.rb'

module MultimediaParadise

  # =========================================================================== #
  # === MultimediaParadise.copy_and_merge_this_video_n_times
  #
  # This method will copy the given video; and then merge these copies.
  # =========================================================================== #
  def self.copy_and_merge_this_video_n_times(
      this_video, n_times = 3
    )
    if this_video.is_a? Array
      this_video = this_video.join(' ').strip
    end
    n_times = 3 if n_times.nil? # <- Set the default here.
    array = []
    extname = File.extname(this_video)
    # ========================================================================= #
    # Create intermediate files next.
    # ========================================================================= #
    n_times.to_i.times {|number|
      this_new_video_file = 'foobar_'+this_video.sub(/#{extname}$/,'').to_s+
                            '_'+number.to_s+extname
      array << this_new_video_file
      copy_file(this_video, this_new_video_file)
    }
    # ========================================================================= #
    # Past this point we assume that the files were copied successfully.
    # We will next proceed to merge these files.
    # ========================================================================= #
    result = ::MultimediaParadise.merge_these_videos(
      array
    )
    return result
  end

end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise.copy_and_merge_this_video_n_times(ARGV[0], ARGV[1])
end # copy_and_merge_this_video_n_times