#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/delay_audio.rb'
# =========================================================================== #
require 'multimedia_paradise/toplevel_methods/esystem.rb'
require 'multimedia_paradise/ffmpeg/ffmpeg.rb'

module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.delay_audio
  #
  # This method will delay the audio of a video-file, by n-seconds.
  #
  # The second argument to this method, `by`, handles that delay.
  # ========================================================================= #
  def self.delay_audio(
      this_file = ARGV,
      by        = '3.85 seconds' # <- Input your delay here.
    )
    ffmpeg_delay_audio(this_file, by)
  end

end

if __FILE__ == $PROGRAM_NAME
  # MultimediaParadise.delay_audio(ARGV)
  MultimediaParadise.delay_audio(ARGV, 80)
end # delay_audio foo.mp4