#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/deshake.rb'
# =========================================================================== #
require 'multimedia_paradise/toplevel_methods/esystem.rb'

module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.deshake
  #
  # This method can stabilize a video that was, for example, captured
  # via a handheld camera while being quite shaky. The deshake-filter
  # from ffmpeg helps remove camera shake from hand-holding a camera.
  #
  # For more information look at this resource:
  #
  #   https://ffmpeg.org/ffmpeg-filters.html#deshake
  #
  # ========================================================================= #
  def self.deshake(input_file = nil)
    if input_file.is_a? Array
      input_file.each {|entry|
        deshake(entry)
      }
    else
      output_file = "output_#{input_file}"
      use_this_command = "ffmpeg -i #{input_file} -vf deshake #{output_file}"
      e
      e use_this_command
      e
      system use_this_command
    end
    
  end

end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise.deshake(ARGV)
end # deshake