#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/ensure_that_the_output_directory_exists.rb'
# =========================================================================== #
require 'fileutils'

module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.ensure_that_the_output_directory_exists
  #
  # We must make sure that the output directory exists, hence the
  # check belove and the call to FileUtils.mkdir_p().
  # ========================================================================= #
  def self.ensure_that_the_output_directory_exists(
      output_directory = MultimediaParadise.output_directory?
    )
    unless File.exist? output_directory
      FileUtils.mkdir_p(
        output_directory
      )
    end
  end

end