#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/esystem.rb'
# =========================================================================== #
module MultimediaParadise

  require 'multimedia_paradise/toplevel_methods/e.rb'
  require 'multimedia_paradise/colours/colours.rb'

  # ========================================================================= #
  # === MultimediaParadise.esystem
  #
  # The second argument can be like this:
  #
  #   colour: :slateblue
  #
  # Currently only Hashes are supported like that.
  # ========================================================================= #
  def self.esystem(
      i, optional_colour_to_use = nil
    )
    Signal.trap('SIGINT') { exit }
    i = i.dup if i.frozen?
    i.strip!
    display_this_string = i.dup
    if optional_colour_to_use
      if optional_colour_to_use.is_a?(Hash) and
         optional_colour_to_use.has_key?(:colour)
        use_this_colour = optional_colour_to_use[:colour]
        display_this_string = COLOURS.send(use_this_colour, display_this_string) 
      end
    end
    e display_this_string
    system i
  end

end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise.esystem(ARGV)
end