#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/is_a_multimedia_file.rb'
# =========================================================================== #
require 'multimedia_paradise/constants/misc.rb'

module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.is_a_multimedia_file?
  #
  # Determine whether a given file is a multimedia file or whether
  # it is not.
  #
  # Usage example:
  #
  #   MultimediaParadise.is_a_multimedia_file? 'foobar.avi'
  #
  # ========================================================================= #
  def self.is_a_multimedia_file?(i)
    i = File.extname(i).delete('.') if i
    ARRAY_MULTIMEDIA_FILETYPES.include? i
  end

end