#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/is_audio_file.rb'
# =========================================================================== #
module MultimediaParadise

  require 'multimedia_paradise/constants/misc.rb'

  # ========================================================================= #
  # === MultimediaParadise.is_audio_file?
  #
  # This method will return true or false depending on whether the
  # input is assumed to be an audio file or whether it is not.
  # ========================================================================= #
  def self.is_audio_file?(i)
    _ = false
    extname = File.extname(i).delete('.') # Will be something such as "mp3".
    case extname
    when *AUDIO_FORMATS
      _ = true
    end
    return _
  end; self.instance_eval { alias is_an_audio_file? is_audio_file? } # === MultimediaParadise.is_an_audio_file?

end