#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/is_image_file.rb'
# =========================================================================== #
require 'multimedia_paradise/constants/misc.rb'

module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.is_image_file?
  #
  # This method will return true or false depending on whether the
  # input is assumed to be an image file or whether it is not.
  # ========================================================================= #
  def self.is_image_file?(i)
    _ = false
    extname = File.extname(i).delete('.') # Will be something such as "mp3".
    case extname
    when *IMAGE_FORMATS
      _ = true
    end
    return _
  end; self.instance_eval { alias is_an_image_file? is_image_file? } # === MultimediaParadise.is_an_image_file?

end

if __FILE__ == $PROGRAM_NAME
  puts MultimediaParadise.is_image_file?('foobar.png')
end