#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/is_video_file.rb'
# =========================================================================== #
require 'multimedia_paradise/constants/video_filetypes.rb'

module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.is_video_file?
  #
  # This method will return true or false depending on whether the
  # input is assumed to be a video file or whether it is not.
  # ========================================================================= #
  def self.is_video_file?(i)
    _ = false
    extname = File.extname(i).delete('.')
    case extname
    when *ARRAY_VIDEO_FILETYPES
      _ = true
    end
    return _
  end; self.instance_eval { alias is_video?             is_video_file? } # === MultimediaParadise.is_video?
       self.instance_eval { alias is_a_video_file?      is_video_file? } # === MultimediaParadise.is_a_video_file?
       self.instance_eval { alias is_this_a_video_file? is_video_file? } # === MultimediaParadise.is_this_a_video_file?

  # ========================================================================= #
  # === MultimediaParadise.filter_for_video_files_from
  #
  # This method accepts as input an Array. That array will then
  # be filtered to include ONLY video files.
  # ========================================================================= #
  def self.filter_for_video_files_from(
      this_directory
    )
    if this_directory.is_a?(String) and File.directory?(this_directory)
      this_directory = Dir["#{this_directory}/*"]
    end
    this_directory.select {|entry|
      is_video_file? entry
    }
  end

  # ========================================================================= #
  # === MultimediaParadise.filter_for_video_files
  #
  # This filter will only return video files.
  # ========================================================================= #
  def self.filter_for_video_files(array)
    array.select {|entry| is_video_file?(entry) }
  end

  # ========================================================================= #
  # === filter_for_video_files
  # ========================================================================= #
  def filter_for_video_files(i)
    MultimediaParadise.filter_for_video_files(i)
  end

end