#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/output_directory.rb'
# =========================================================================== #
module MultimediaParadise

  require 'multimedia_paradise/toplevel_methods/is_on_roebe.rb'

  # ========================================================================= #
  # === @output_directory
  # ========================================================================= #
  @output_directory = nil # Initially nil. If non-nil we will use it.

  # ========================================================================= #
  # === MultimediaParadise.set_output_directory
  # ========================================================================= #
  def self.set_output_directory(
      i = :default
    )
    case i
    # ======================================================================= #
    # === :default
    # ======================================================================= #
    when :default
      i = '/home/Temp/multimedia_paradise/'
    # ======================================================================= #
    # === :old_default
    # ======================================================================= #
    when :old_default
      i = '/Depot/Temp/multimedia_paradise/'
    end
    i << '/' unless i.end_with? '/' # Ensure a trailing '/' directory.
    @output_directory = i
  end

  # ========================================================================= #
  # Initialize it at once with the default value.
  #
  # This will default to /Depot/Temp/MultimediaProject/ usually.
  # ========================================================================= #
  set_output_directory if @output_directory.nil?

  # ========================================================================= #
  # === MultimediaParadise.output_directory?
  #
  # Query method over the class-instance variable called @output_directory.
  #
  # We ensured through the setter that this will always end via a trailing
  # '/' token.
  # ========================================================================= #
  def self.output_directory?
    @output_directory
  end; self.instance_eval { alias store_in_this_directory output_directory? } # === MultimediaParadise.store_in_this_directory
       self.instance_eval { alias log_directory?          output_directory? } # === MultimediaParadise.log_directory?
       self.instance_eval { alias log_dir?                output_directory? } # === MultimediaParadise.log_dir?

end