#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/return_data_from_video_collection_file_for_this_entry.rb'
# =========================================================================== #
require 'multimedia_paradise/toplevel_methods/return_all_video_files.rb'

module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.return_data_from_video_collection_file_for_this_entry
  #
  # This method assumes a number as input, such as 1 or 2 and so forth.
  #
  # Then, it will attempt to fetch the corresponding entry from the
  # file "video_collection.yml".
  # ========================================================================= #
  def self.return_data_from_video_collection_file_for_this_entry(i)
    i = i.first if i.is_a? Array
    i = i.to_i # Must always work on an Integer past this point.
    # ======================================================================= #
    # Next, we have to load up the dataset from the yaml-file.
    # ======================================================================= #
    dataset = ::MultimediaParadise.return_all_video_files
    if dataset.has_key? i
      assumed_datased = dataset[i]
      return assumed_datased
    else
      nil # nil for "no result".
    end
  end

end

if __FILE__ == $PROGRAM_NAME
  pp MultimediaParadise.return_data_from_video_collection_file_for_this_entry(ARGV)
end # return_data_from_video_collection_file_for_this_entry 22