#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/return_path_to_random_simpsons_video_file.rb'
# MultimediaParadise.return_path_to_random_simpsons_video_file
# =========================================================================== #
require 'multimedia_paradise/constants/directory_constants.rb'
require 'multimedia_paradise/toplevel_methods/esystem.rb'
require 'multimedia_paradise/toplevel_methods/player_in_use.rb'

module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.return_path_to_random_simpsons_video_file
  #
  # This method will return the full local path to a random simpsons
  # video. This only works on my home system, though, as the
  # directory structure is a very specific one.
  # ========================================================================= #
  def self.return_path_to_random_simpsons_video_file
    Dir[
      "#{CARTOONS_DIRECTORY}Simpsons-**/**"
    ].sample
  end

  # ========================================================================= #
  # === MultimediaParadise.play_random_simpsons_movie
  # ========================================================================= #
  def self.play_random_simpsons_movie(
      n_times = 1
    )
    n_times.times {
      _ = return_path_to_random_simpsons_video_file
      esystem video_player?+' '+_
    }
  end

end

if __FILE__ == $PROGRAM_NAME
  puts MultimediaParadise.return_path_to_random_simpsons_video_file
end # rb return_path_to_random_simpsons*rb