#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/return_screen_resolution.rb'
# =========================================================================== #
module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.return_screen_resolution
  #
  # This method will return the screen resolution, as String, such as
  # in "1920x1080".
  #
  # This functionality presently depends on the program called
  # "xrandr".
  # ========================================================================= #
  def self.return_screen_resolution
    `xrandr`.split("\n").select {|line|
      line.include? '*+'
    }.first.strip.split('  ').first
  end

end