#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/run_sys_command.rb'
# =========================================================================== #
module MultimediaParadise

  # ========================================================================= #  
  # === MultimediaParadise.run_sys_command                 (sys tag, sys cmd)
  #
  # Echo the command before running it via ``.
  # ========================================================================= #
  def self.run_sys_command(
      cmd, pad_the_output = true
    )
    cmd = cmd.strip
    e if pad_the_output
    e cmd
    e if pad_the_output
    begin
      result = `#{cmd}` # Sigint event can happen here.
      return result
    rescue Errno::ENOENT => error
      e 'No such file exists. ('+error.to_s+')'
      return nil
    end
  end

end