#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/slow_down_this_video_file.rb'
# =========================================================================== #
require 'multimedia_paradise/ffmpeg/ffmpeg.rb'

module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.slow_down_this_video_file
  #
  # This method can be used to slow down a video file.
  #
  # FFmpeg will be doing this slow down action.
  #
  # This uses the "setpts" video filter of ffmpeg, for the video stream
  # at hand. The video stream can be changed without tampering with
  # the audio stream. This is also the default modus operandi for this
  # method here.
  # ========================================================================= #
  def self.slow_down_this_video_file(
      this_video_file = ARGV
    )
    ffmpeg_slow_down_this_video_file(this_video_file)
  end

end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise.slow_down_this_video_file(ARGV)
end # slow_down_this_video_file foobar.mp4