#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module MultimediaParadise

  require 'multimedia_paradise/toplevel_methods/esystem.rb'

  # ========================================================================= #
  # === MultimediaParadise.to_flac
  #
  # Convert e. g. a .mp3 file into a .flac file.
  # ========================================================================= #
  def self.to_flac(input_files)
    [input_files].flatten.compact.each {|this_input_file|
      output_name = File.absolute_path(
        'output_'+File.basename(this_input_file).
        delete_suffix(File.extname(this_input_file))+'.flac'
      )
      e
      esystem "ffmpeg -i #{this_input_file} #{output_name}"
      e
    }
  end

end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise.to_flac(ARGV)
end