#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/total_duration.rb'
# =========================================================================== #
module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.total_duration
  #
  # This method will attempt to determine the total duration, in
  # n minutes right now. At a later time this may become more
  # flexible but for now it will only work on minutes.
  # ========================================================================= #
  def self.total_duration(i = ARGF)
    _ = ''.dup # Build up our temporary String.
    if i.respond_to? :each_line
      i.each_line {|this_line|
        _ << this_line << "\n"
      }
    else
      _ << i
    end
    scanned_result = _.scan(/(\d{1,2}.\d{0,1}) minutes/)
    n_minutes = scanned_result.flatten.map {|line| line.to_f }.sum
    n_minutes
  end

end

if __FILE__ == $PROGRAM_NAME
  puts MultimediaParadise.total_duration(ARGF).to_s+' minutes'
end # total_duration
    # duration * | total_duration