#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/use_lame_codec.rb'
# =========================================================================== #
require 'multimedia_paradise/ffmpeg/ffmpeg.rb'

module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.use_lame_codec
  #
  # Use this method if you quickly want to replace one audio codec with
  # another - in this context the lame (liblame) audio codec.
  #
  # The input should be a locally existing video file. The -acodec value
  # will be libmp3lame.
  #
  # The input to this method should be an existing video file.
  # ========================================================================= #
  def self.use_lame_codec(
      this_video_file
    )
    ffmpeg_use_lame_codec(this_video_file)
  end

end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise.use_lame_codec(ARGV)
end # use_lame_codec