#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/toplevel_methods/video_dataset.rb'
# =========================================================================== #
module MultimediaParadise

  require 'multimedia_paradise/toplevel_methods/return_all_video_files.rb'

  # ========================================================================= #
  # === VIDEO_DATASET
  # ========================================================================= #
  VIDEO_DATASET = MultimediaParadise.return_all_video_files

  # ========================================================================= #
  # === MultimediaParadise.obtain_title_at_position
  # ========================================================================= #
  def self.obtain_title_at_position(i)
    result = VIDEO_DATASET[i.to_i]
    result = result['title'].to_s if result
    result
  end

  # ========================================================================= #
  # === obtain_title_at_position
  # ========================================================================= #
  def obtain_title_at_position(i)
    MultimediaParadise.obtain_title_at_position(i)
  end

  # ========================================================================= #
  # === return_title_and_position_of
  # ========================================================================= #
  def return_title_and_position_of(i)
    VIDEO_DATASET[i.to_i]['title'].to_s if VIDEO_DATASET.has_key? i.to_i
  end; alias obtain_position_of return_title_and_position_of # === obtain_position_of

  # ========================================================================= #
  # === map_number_to_videofile
  #
  # Input a number, such as 001, which we will then use to find the
  # videofile in question, and return the title.
  # ========================================================================= #
  def map_number_to_videofile(i = '002')
    _ = i.to_i
    if VIDEO_DATASET.has_key? _
      result = VIDEO_DATASET[_]['title']
      return result
    else
      i
    end
  end

  # ========================================================================= #
  # === entry_at_this_position
  #
  # The input should be a number. This number is the video file at
  # said position.
  #
  # For instance, the argument 20 will obtain "A chinese ghost story".
  # ========================================================================= #
  def entry_at_this_position(position)
    VIDEO_DATASET[position]
  end

  # ========================================================================= #
  # === max_entries_registered?
  #
  # This method will tell us how many video files we have registered.
  # ========================================================================= #
  def max_entries_registered?
    VIDEO_DATASET.keys.max
  end

end