#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'create_dvd.rb'
# =========================================================================== #
require 'multimedia_paradise/toplevel_methods/esystem.rb'
require 'multimedia_paradise/colours/colours.rb'

module MultimediaParadise

  # ========================================================================= #
  # === MultimediaParadise.create_dvd
  #
  # This method can be used to create a DVD. The first argument should
  # be the existing file that you wish to "turn" into a DVD.
  #
  # Note that you need the program dvdauthor in order to make use of
  # this method.
  #
  # Invocation example:
  #
  #   MultimediaParadise.create_dvd '259_TheGreatDictator.avi'
  #
  # ========================================================================= #
  def self.create_dvd(
      input_file = 'video.avi'
    )
    output_mpg_file = 'dvd.mpg'
    e 'We will create a .mpg file called '+sfile(output_mpg_file)+'.'
    _ = 'ffmpeg -i '+input_file+' -aspect 16:9 -target pal-dvd '+output_mpg_file
    esystem(_)
    e 'Next adding this .mpg file ('+output_mpg_file+') to the project '\
      'via '+orange('dvdauthor')+':'
    _ = 'dvdauthor -o dvd/ -t '+output_mpg_file
    esystem(_)
    # ======================================================================= #
    # Use PAL next:
    # ======================================================================= #
    ENV['VIDEO_FORMAT'] = 'PAL'
    _ = 'dvdauthor -o dvd/ -T'
    esystem(_)
    e 'Next creating an .iso file using mkisofs:'
    iso_file = 'dvd.iso'
    _ = "mkisofs -dvd-video -o #{iso_file} dvd/"
    esystem(_)
    e 'All should be finished now! You can burn the file `'+iso_file+'`.'
  end

end