#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::Video::EncodeVideo
#
# This will encode a video.
#
# Usage examples:
#
#   Video::EncodeVideo.new(ARGV)
#
# =========================================================================== #
# require 'multimedia_paradise/video/encode_video.rb'
# =========================================================================== #
require 'multimedia_paradise/base/base.rb'

module MultimediaParadise

module Video

class EncodeVideo < ::MultimediaParadise::Base # === MultimediaParadise::Video::EncodeVideo

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      i           = nil,
      run_already = true
    )
    reset
    set_input(i)
    run if run_already
  end

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    super()
  end

  # ========================================================================= #
  # === set_input
  # ========================================================================= #
  def set_input(i = '')
    i = i.first if i.is_a? Array
    i = i.to_s.dup if i
    @input = i
  end

  # ========================================================================= #
  # === input?
  # ========================================================================= #
  def input?
    @input
  end

  # ========================================================================= #
  # === cmd?
  #
  # We return the command that we will use here.
  # ========================================================================= #
  def cmd?
  _  = "ffmpeg -i #{input?} ".dup
    _ << '-c:v libx264 -preset slow -crf 18 -c:a copy -pix_fmt yuv420p '
    _ << 'output.mkv'
  end

  # ========================================================================= #
  # === run                                                         (run tag)
  # ========================================================================= #
  def run
    esystem cmd?
  end

end; end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::Video::EncodeVideo.new(ARGV)
end # encode_video