#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::FixMarriedWithChildrenVideos
#
# This little class just ad-hoc "fixes" the intro of married with children.
#
# Specifically it will get rid of the annoying new music that they used
# back then.
# =========================================================================== #
# require 'multimedia_paradise/video/fix_married_with_children_videos.rb'
# =========================================================================== #
require 'multimedia_paradise/base/base.rb'

module MultimediaParadise

class FixMarriedWithChildrenVideos < Base

  # ========================================================================= #
  # === START_TIME
  #
  # This denotes where to start.
  # ========================================================================= #
  START_TIME = '00:01:15.0'

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      run_already = true
    )
    reset
    run if run_already
  end

  # ========================================================================= #
  # === reset
  # ========================================================================= #
  def reset
    super()
  end

  # ========================================================================= #
  # === obtain_all_videos
  # ========================================================================= #
  def obtain_all_videos
    Dir['*'].select {|entry| is_video_file?(entry) }
  end

  # ========================================================================= #
  # === run
  # ========================================================================= #
  def run
    _ = obtain_all_videos
    _.each {|old_video_file|
      extension_name = File.extname(old_video_file).delete('.')
      cmd = 'ffmpeg -ss '+START_TIME+' -i '+old_video_file+
            ' -c copy -t 00:50:10.0 '+old_video_file+'_shortened.'+
            extension_name
      e cmd
      system cmd
    }
  end

end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::FixMarriedWithChildrenVideos.new
end # fix_married_with_children_videos