#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::MikeHammer
#
# Currently this class will play a random mike-hammer episode from
# a local dataset.
#
# Usage example:
#
#   MultimediaParadise::MikeHammer.new(ARGV)
#
# =========================================================================== #
# require 'multimedia_paradise/video/mike_hammer/mike_hammer.rb'
# =========================================================================== #
require 'multimedia_paradise/base/base.rb'

module MultimediaParadise

class MikeHammer < ::MultimediaParadise::Base

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      commandline_arguments = nil,
      run_already           = true
    )
    reset
    set_commandline_arguments(
      commandline_arguments
    )
    run if run_already
  end

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    super()
  end

  # ========================================================================= #
  # === obtain_all_mike_hammer_episodes
  # ========================================================================= #
  def obtain_all_mike_hammer_episodes
    from = '/root/Downloads/Mike_Hammer/**'
    @all_mike_hammer_episodes = Dir[from].select {|entry|
      is_a_video_file?(entry)
    }.sort
  end

  # ========================================================================= #
  # === run                                                         (run tag)
  # ========================================================================= #
  def run
    obtain_all_mike_hammer_episodes
    sample = @all_mike_hammer_episodes.sample
    esystem 'mpv "'+sample.to_s+'" &'
  end

  # ========================================================================= #
  # === MultimediaParadise::MikeHammer[]
  # ========================================================================= #
  def self.[](i = '')
    new(i)
  end

end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::MikeHammer.new(ARGV)
end # mikehammer