#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::Video::RemoveMetadata
#
# This class will strip metadata from a video.
#
# The ffmpeg option -map_metadata will set metadata information of
# the output file.
# =========================================================================== #
require 'multimedia_paradise/base/base.rb'

module MultimediaParadise

module Video

class RemoveMetadata < ::MultimediaParadise::Base # === MultimediaParadise::Video::RemoveMetadata

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(this_file)
    reset
    if this_file.is_a? Array
      this_file = this_file.join(' ').strip
    end
    _ = ' ffmpeg -i '+this_file+' -map_metadata -1 -c:v copy -c:a copy out_'+this_file
    esystem _
  end

  # ========================================================================= #
  # === reset
  # ========================================================================= #
  def reset
    super()
  end

end; end

# =========================================================================== #
# === MultimediaParadise.remove_metadata
# =========================================================================== #
def self.remove_metadata(from_this_file)
  MultimediaParadise::Video::RemoveMetadata.new(from_this_file)
end

end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::Video::RemoveMetadata.new(ARGV)
end # strip_metadata