#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::Video::ReportMissingVideosInTheYamlFile
#
# This class will show which video-entries are missing in the file
# video_collection.yml, working on this in a linear fashion
# (aka from 1, to 300 or however many entries are registered).
# =========================================================================== #
# require 'multimedia_paradise/video/report_missing_videos_in_the_yaml_file.rb'
# MultimediaParadise::Video::ReportMissingVideosInTheYamlFile.new(ARGV)
# =========================================================================== #
require 'multimedia_paradise/base/base.rb'

module MultimediaParadise

module Video

class ReportMissingVideosInTheYamlFile < ::MultimediaParadise::Base # === MultimediaParadise::Video::ReportMissingVideosInTheYamlFile

  # ========================================================================= #
  # === NAMESPACE
  # ========================================================================= #
  NAMESPACE = inspect

  # ========================================================================= #
  # === MAX_ENTRY
  # ========================================================================= #
  MAX_ENTRY = 280

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      i           = ARGV,
      run_already = true
    )
    reset
    run if run_already
  end

  # ========================================================================= #
  # === reset
  # ========================================================================= #
  def reset
    super()
    # ======================================================================= #
    # === @namespace
    # ======================================================================= #
    @namespace = NAMESPACE
    # ======================================================================= #
    # === @dataset
    # ======================================================================= #
    @dataset = dataset_from_file_video_collection
    # ======================================================================= #
    # === @max_entry
    # ======================================================================= #
    @max_entry = @dataset.keys.size
    # ======================================================================= #
    # === @all_is_fine
    #
    # Of this variable is true then all is fine - no video is missing.
    # ======================================================================= #
    @all_is_fine = true
  end

  # ========================================================================= #
  # === run
  # ========================================================================= #
  def run
    1.upto(@max_entry).each {|this_number|
      if @dataset.has_key? this_number
        # =================================================================== #
        # all is fine in this case.
        # =================================================================== #
      else
        # =================================================================== #
        # else it must be missing
        # =================================================================== #
        e steelblue(this_number.to_s)+
          slateblue(': vakant')
        @all_is_fine = false
      end
    }
    if @all_is_fine
      e rev+
        'Everything is fine - no video is missing in the file '+
        sfile('video_collection.yml')+'. \o/'
    end
  end

end; end

# =========================================================================== #
# === MultimediaParadise.report_missing_videos
# =========================================================================== #
def self.report_missing_videos_in_the_yaml_file
  MultimediaParadise::Video::ReportMissingVideosInTheYamlFile.new
end

end


if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::Video::ReportMissingVideosInTheYamlFile.new(ARGV)
end # reportmissingvideosintheyamlfile