#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'multimedia_paradise/video/the_simpsons/good_the_simpsons_episodes.rb'
# MultimediaParadise::Video.return_good_the_simpsons_episodes
# =========================================================================== #
require 'multimedia_paradise/constants/directory_constants.rb'

module MultimediaParadise

module Video

  # ========================================================================= #
  # === MultimediaParadise::Video.return_good_the_simpsons_episodes
  # ========================================================================= #
  def self.return_good_the_simpsons_episodes
    (
      use_this_as_the_base_directory =  MultimediaParadise::DEPOT_VIDEO
    )
    result = []
    # ======================================================================= #
    # === Season 09
    # ======================================================================= #
    base_09 = "#{use_this_as_the_base_directory}Cartoons/Simpsons-09/"
    _ = [
      'Treehouse_Of_Horror_VIII.m4v',
      'The_Joy_Of_Sect.m4v'
    ]
    _.each {|entry| result << base_09+entry }
    # ======================================================================= #
    # === Season 08
    # ======================================================================= #
    base_08 = "#{use_this_as_the_base_directory}Cartoons/Simpsons-08/"
    _ = [
      "Homer's_Enemy.m4v",
      'The_Springfield_Files.m4v',
      'Treehouse_of_Horror_VII.m4v',
      'Hurricane_Neddy.m4v',
      'Mountain_Of_Madness.m4v'
    ]
    _.each {|entry| result << base_08+entry }
    # ======================================================================= #
    # === Season 07
    # ======================================================================= #
    base_07 =  "#{use_this_as_the_base_directory}Cartoons/Simpsons-07/"
    _ = [
      'The_Simpsons_7x21_22_Short_Films_About_Springfield.avi'
     # 'The_Simpsons_7x23_Much_Apu_About_Nothing.avi'
    ]
    _.each {|entry| result << base_07+entry }
    # ======================================================================= #
    # === Season 06
    # ======================================================================= #
    base_06 = "#{use_this_as_the_base_directory}Cartoons/Simpsons-06/"
    _ = [
      'Sideshow_Bob_Roberts.m4v',
      'Homer_the_Great.m4v',
      #'Homer_Badman.mp4',
      #'A_Star_Is_Burns.mp4',
      # 'Sideshow_Bob_Roberts.m4v',
      'Homie_The_Clown.mp4'
    ]
    _.each {|entry| result << base_06+entry }
    # ======================================================================= #
    # === Season 05
    # ======================================================================= #
    base_05 = "#{use_this_as_the_base_directory}Cartoons/Simpsons-05/"
    _ = [
      'Treehouse_of_Horror_IV.mp4',
      #'Cape_Feare.mp4',
      'Springfield.mp4'
    ] 
    _.each {|entry| result << base_05+entry }
    # ======================================================================= #
    # === Season 04
    # ======================================================================= #
    base_04 = "#{use_this_as_the_base_directory}Cartoons/Simpsons-04/"
    _ = [
      'Treehouse_of_Horror_III.mp4'
      # 'Marge_Gets_A_Job.mp4',
    ]
    # 'Homer_the_Heretic.mp4'
    _.each {|entry| result << base_04+entry }
    # ======================================================================= #
    # === Season 03
    # ======================================================================= #
    base_03 = "#{use_this_as_the_base_directory}Cartoons/Simpsons-03/"
    _ = [
      'The_Simpsons_3x03_When_Flanders_Failed.avi',
      # 'The_Simpsons_3x01_Stark_Raving_Dad.avi',
      'The_Simpsons_3x17_Homer_at_the_Bat.avi'
    ]
    shuffled = _.shuffle
    shuffled.each {|entry| result << base_03+entry }
    # ======================================================================= #
    # The variable called result contains all the files that we wish
    # to return/play. 
    # ======================================================================= #
    return result
  end; self.instance_eval { alias super_simpsons? return_good_the_simpsons_episodes } # === MultimediaParadise::Video.super_simpsons?

end; end

if __FILE__ == $PROGRAM_NAME
  pp Roebe.MultimediaParadise::Video.return_good_the_simpsons_episodes
end # supersimpsons