#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::TheSimpsons
#
# Currently this class will only store which simpsons episodes I
# will keep about.
#
# Usage example:
#
#   MultimediaParadise::TheSimpsons.new(ARGV)
#
# =========================================================================== #
# require 'multimedia_paradise/the_simpsons.rb'
# =========================================================================== #
require 'multimedia_paradise/base/base.rb'

module MultimediaParadise

class TheSimpsons < ::MultimediaParadise::Base

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      commandline_arguments = nil,
      run_already           = true
    )
    reset
    set_commandline_arguments(
      commandline_arguments
    )
    run if run_already
  end

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    super()
  end

  # ========================================================================= #
  # === obtain_all_simpsons_episodes
  # ========================================================================= #
  def obtain_all_simpsons_episodes
    from = '/home/x/video/Cartoons/Simpson**/**'
    @all_simpsons_episodes = Dir[from].select {|entry|
      is_a_video_file?(entry)
    }.sort
  end

  # ========================================================================= #
  # === store_the_simpsons_episodes
  # ========================================================================= #
  def store_the_simpsons_episodes
    into = '/home/x/video/Cartoons/all_simpsons_episodes.yml'
    e "#{rev}Storing into #{sfile(into)}"
    write_what_into(YAML.dump(@all_simpsons_episodes), into)
  end

  # ========================================================================= #
  # === run                                                         (run tag)
  # ========================================================================= #
  def run
    obtain_all_simpsons_episodes
    store_the_simpsons_episodes
  end

  # ========================================================================= #
  # === MultimediaParadise::TheSimpsons[]
  # ========================================================================= #
  def self.[](i = '')
    new(i)
  end

end; end

if __FILE__ == $PROGRAM_NAME
  MultimediaParadise::TheSimpsons.new(ARGV)
end # thesimpsons