#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === MultimediaParadise::Video::EncodingSettings
#
# This can be used for video-encoding related settings.
# =========================================================================== #
# require 'multimedia_paradise/video/video_constants.rb'
# =========================================================================== #
require 'yaml'

module MultimediaParadise

module Video

module EncodingSettings # === MultimediaParadise::Video::EncodingSettings

  # ========================================================================= #
  # === LOCATION_OF_FILE_CONTAINING_THE_VIDEO_ENCODING_SETTINGS
  #
  #   bl /home/x/DATA/VIDEO/YAML/video_encoding_settings.yml
  #
  # ========================================================================= #
  LOCATION_OF_FILE_CONTAINING_THE_VIDEO_ENCODING_SETTINGS = 
    ENV['MY_VIDEO'].to_s+'/YAML/video_encoding_settings.yml'

  # ========================================================================= #
  # === LOCATION_OF_FILE_CONTAINING_THE_VIDEO_ENCODING_SETTINGS
  #
  # Next, load these settings if the yaml file exists.
  # ========================================================================= #
  _ = LOCATION_OF_FILE_CONTAINING_THE_VIDEO_ENCODING_SETTINGS
  if File.exist? _
    _ = YAML.load_file(_)
    # ========================================================================= #
    # And set up the constants.
    # ========================================================================= #
    STD_BITRATE           = _['default_bitrate']
    DEBUG                 = _['debug'] # if true, we debug 
    USE_CARTOON_MODE      = _['use_cartoon_mode']
    USE_AID               = _['use_aid']
    DO_DEINTERLACE        = _['do_deinterlace']
    USE_ASPECT_16_9       = _['use_aspect_16_9']
    DO_WMV_DECODING       = _['do_wmv_decoding']
    USE_TWO_PASS_ENCODING = _['use_two_pass_encoding']

    GUI_WIDTH  = _['gui_width']
    GUI_HEIGHT = _['gui_height']
    GTK2_WIDTH  = GUI_WIDTH
    GTK2_HEIGHT = GUI_HEIGHT
    TK_WIDTH  = GUI_WIDTH
    TK_HEIGHT = GUI_HEIGHT
    DEFAULT_MEDIA_PLAYER = _['default_media_player']
  end

end; end; end